package info.bukova.isspst.ui.search;

import info.bukova.isspst.StringUtils;
import info.bukova.isspst.data.TripBill;

public class TripBillTransformer extends AbstractResultTransformer implements ResultTransformer {

	@Override
	protected void transform(Object object, SearchResult result) {
		TripBill tb = (TripBill)object;
		result.setRecordName(StringUtils.localize("TravelOrdersFormTitle") + ": " + tb.getRequirement().getNumser());
		result.setDescription(StringUtils.localize("TravelOrdersGridFrom") + " " 
				+ tb.getRequirement().getFrom() + " " + StringUtils.localize("TravelOrdersGridTo") + " " 
				+ tb.getRequirement().getTo() + " - " + tb.getRequirement().getDescription());
	}

}
